how to set xampp with oracle

Problems with the Windows version of XAMPP, questions, comments, and anything related.

how to set xampp with oracle

Postby rodrigozem » 16. July 2010 16:16


Someone could help me? I'd like to know how to set the oracle with xampp. I have the oracle client installed in my machine.
I changed the php.ini file, uncommenting the following line (extension=php_oci8.dll).
Posts: 1
Joined: 16. July 2010 16:04

Re: how to set xampp with oracle

Postby JonB » 18. July 2010 16:41

I'm thinking what your question really means?

Do you mean -
I want Oracle database support for my Apache server installed under XAMPP, so I can write or use applications that require Oracle database support and serve them with my XAMPP installation -- with the database on my server machine?

If so - I'm sorry, but Oracle is not a supported database type in XAMPP, so there is no guaranteed result.

If you wish to use a remote Oracle database installed on another machine, read this - and about the Instant Client libraries

Honestly, I don't know if the Instant client libraries will work -- as i suspect they were written with standalone, registry integrated applications in mind.

NO matter what is said anywhere:

Is the client dll a VC6 version compiled for PHP 5.3? If not, I'm pretty sure it will not work. (I hope someone else may know more)

All PHP extensions that need to run with Apache Software foundation binaries have to be compiled with the Visual C found in Visual Studio 6, and be compiled for the matching PHP version.

Which version do I choose?

If you are using PHP with Apache 1 or Apache2 from you need to use the VC6 versions of PHP

If you are using PHP with IIS you should use the VC9 versions of PHP

VC6 Versions are compiled with the legacy Visual Studio 6 compiler

VC9 Versions are compiled with the Visual Studio 2008 compiler and have improvements in performance and stability. The VC9 versions require you to have the Microsoft 2008 C++ Runtime (x86) or the Microsoft 2008 C++ Runtime (x64) installed

Do NOT use VC9 version with binaries

Good Luck with your project.
User avatar
AF Moderator
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 66 guests